Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::iota_fn Struct Reference
Numerics

## Public Member Functions
template<typename O , typename S , typename T >
O | operator() (O first, S last, T val) const
template<typename Rng , typename T >
borrowed_iterator_t< Rng > | operator() (Rng &&rng, T val) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename O , typename S , typename T >

O ranges::iota_fn::operator() | ( | O | first,
|  | S | last,
|  | T | val
| ) |  | const

Precondition
  requires `output_iterator<O, T const &> && sentinel_for<S, O> && weakly_incrementable<T>`

## ◆ operator()() [2/2]

template<typename Rng , typename T >

borrowed_iterator_t<Rng> ranges::iota_fn::operator() | ( | Rng && | rng,
|  | T | val
| ) |  | const

Precondition
  requires `output_range<Rng, T const &> && weakly_incrementable<T>`